Skip to main content
PATCH
cURL
Updates an existing member, identified by their memberId.

Unsetting Bank Details

To remove a member’s bank details, set accountDetails to null.

Relevant Error Codes

If there are any issues with the update, the API will return a 400 status code with the following error codes:

Authorizations

x-api-key
string
header
required

Headers

x-idempotency-key
string

Unique key to ensure idempotency of the request

Path Parameters

id
string
required

The unique identifier for a Member, prefixed with mem_

Example:

"mem_<id>"

Body

application/json

Body

email
string<email>

This can only be changed if member status is invited

Pattern: ^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$
firstName
string

First name of the member

lastName
string

Last name of the member

phone
string

Phone number

workerId
string | null

Unique ID provided by API consumer, must be unique across all members (active, invited and inactive)

Example:

"ID_123"

tier
string

Tier name

accountDetails
BankAccountUK · object

A UK bank account

Example:
enablePayroll
boolean
dob
string

Date of birth of the member, must later than 1900

Pattern: ^\d{4}-\d{2}-\d{2}$
Example:

"1990-01-01"

gender
enum<string> | null

Gender of the member

Available options:
Female,
Male,
NonBinary

Response

200 - application/json

A member on the platform.

A member on the platform.

email
string<email>
required
Pattern: ^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$
memberId
string
required

Onsi's ID of the member

Example:

"mem_q5sdae3se6eg9m9dcvug"

firstName
string
required
Example:

"John"

lastName
string
required
Example:

"Smith"

phone
string | null
required
Example:

"+447123456789"

tier
string
required

Tier name for the member

Example:

"Gold"

workerId
string | null
required

Unique ID provided by API consumer, must be unique across all members (active, invited and inactive)

Example:

"ID_123"

status
enum<string>
required

The status of the member.

Available options:
active,
invited,
inactive
accountDetails
BankAccountUK · object
required

A UK bank account

Example:
enablePayroll
boolean
required
Example:

true

dob
string | null
required

Date of birth of the member, must later than 1900

Pattern: ^\d{4}-\d{2}-\d{2}$
Example:

"1990-01-01"

gender
enum<string> | null

Gender of the member

Available options:
Female,
Male,
NonBinary